public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
Search results ordered by [date|relevance]  view[summary|nested|Atom feed]
thread overview below | download mbox.gz: |
* [gentoo-commits] repo/gentoo:master commit in: x11-libs/libfakekey/files/, x11-libs/libfakekey/
@ 2018-02-26 22:46 99% Andreas Sturmlechner
  0 siblings, 0 replies; 1+ results
From: Andreas Sturmlechner @ 2018-02-26 22:46 UTC (permalink / raw
  To: gentoo-commits

commit:     5e170dd844a9d4eb1726cf05ed41b70c61afd696
Author:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
AuthorDate: Mon Feb 26 22:41:08 2018 +0000
Commit:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Mon Feb 26 22:46:14 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5e170dd8

x11-libs/libfakekey: EAPI 6, homepage, src_uri, drop eutils

Package-Manager: Portage-2.3.24, Repoman-2.3.6

 x11-libs/libfakekey/files/libfakekey-0.1-ac.patch |  4 +-
 x11-libs/libfakekey/libfakekey-0.1-r3.ebuild      | 48 +++++++++++++++++++++++
 2 files changed, 50 insertions(+), 2 deletions(-)

diff --git a/x11-libs/libfakekey/files/libfakekey-0.1-ac.patch b/x11-libs/libfakekey/files/libfakekey-0.1-ac.patch
index 65c0b083aa7..7158ad220ef 100644
--- a/x11-libs/libfakekey/files/libfakekey-0.1-ac.patch
+++ b/x11-libs/libfakekey/files/libfakekey-0.1-ac.patch
@@ -1,5 +1,5 @@
---- configure.ac.old	2011-05-22 14:59:45.801746472 +0100
-+++ configure.ac	2011-05-22 15:02:59.437159981 +0100
+--- a/configure.ac	2011-05-22 14:59:45.801746472 +0100
++++ b/configure.ac	2011-05-22 15:02:59.437159981 +0100
 @@ -14,16 +14,14 @@ AC_HEADER_STDC
  
  dnl ------ libtool versioning -----------------------------------------------

diff --git a/x11-libs/libfakekey/libfakekey-0.1-r3.ebuild b/x11-libs/libfakekey/libfakekey-0.1-r3.ebuild
new file mode 100644
index 00000000000..ac34a6d782c
--- /dev/null
+++ b/x11-libs/libfakekey/libfakekey-0.1-r3.ebuild
@@ -0,0 +1,48 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit autotools
+
+DESCRIPTION="Helper library for the x11-misc/matchbox-keyboard package"
+HOMEPAGE="https://www.yoctoproject.org/tools-resources/projects/matchbox"
+SRC_URI="http://downloads.yoctoproject.org/releases/matchbox/${PN}/${PV}/${P}.tar.bz2"
+LICENSE="GPL-2"
+SLOT="0"
+
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~x86"
+IUSE="debug doc"
+
+RDEPEND="x11-libs/libXtst"
+
+DEPEND="${RDEPEND}
+	doc? ( app-doc/doxygen )"
+
+PATCHES=(
+	# Allow configure to use libtool-2
+	"${FILESDIR}/${P}-ac.patch"
+)
+
+src_prepare() {
+	default
+
+	# Fix underlinking bug #367595
+	sed -i -e 's/^fakekey_test_LDADD=/fakekey_test_LDADD=-lX11 /' \
+		tests/Makefile.am || die 'Cannot sed Makefile.am'
+	sed -e "s/AM_CONFIG_HEADER/AC_CONFIG_HEADERS/" -i configure.ac || die
+	eautoreconf
+}
+
+src_configure() {
+	# --with/without-x is ignored by configure script and X is used.
+	econf --with-x \
+		$(use_enable debug) \
+		$(use_enable doc doxygen-docs)
+}
+
+src_install() {
+	emake DESTDIR="${D}" install
+	use doc && local HTML_DOCS=( doc/html/. )
+	einstalldocs
+}


^ permalink raw reply related	[relevance 99%]

Results 1-1 of 1 | reverse | options above
-- pct% links below jump to the message on this page, permalinks otherwise --
2018-02-26 22:46 99% [gentoo-commits] repo/gentoo:master commit in: x11-libs/libfakekey/files/, x11-libs/libfakekey/ Andreas Sturmlechner

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox